// Copyright (C) 1992 James H. Price, All rights reserved
//
//  TITLELIN.CPP
//
//    Member functions for TitleLine object
//

#include "titlelin.h"
#include <string.h>

#define cpTitleLine "\x09\x0D"    // bright white/yellow on blue

TitleLine::TitleLine( const TRect& r, const char *aTitle )
  : TView( r )
{
  strcpy( title, aTitle );
}

void TitleLine::setTitle( const char *s )
{
  strcpy( title, s );
  drawView();
}

TPalette& TitleLine::getPalette() const
{
  static TPalette palette( cpTitleLine, sizeof(cpTitleLine)-1 );
  return palette;
}

void TitleLine::draw()
{
  TDrawBuffer b;
  ushort color = getColor( 0x0201 );
  b.moveChar( 0, ' ', color, size.x );

  b.moveCStr( (size.x - strlen(title))/2, title, color );
  writeLine( 0, 0, size.x, 1, b );
}

